using System;

namespace Syntriax.Engine.Core.Abstract;

public interface IInitialize : IEntity
{
    Action<IInitialize>? OnInitialized { get; set; }
    Action<IInitialize>? OnFinalized { get; set; }
    bool Initialized { get; }

    bool Initialize();
    bool Finalize();
}
